## python-rdflib-jsonld 0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rdflib_jsonld.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rdflib_jsonld.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rdflib_jsonld"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rdflib_jsonld"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-rdflib-jsonld (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #813827)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 05 Feb 2016 02:18:38 -0800

=== debian/control ===
Source: python-rdflib-jsonld
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-all,
               python-setuptools,
               python-rdflib,
               python-html5lib,
               python-sparqlwrapper,
               python-nose,
               python-sphinx,
               python3-setuptools,
               python3,
               python3-all,
               python3-rdflib,
               python3-html5lib,
               python3-sparqlwrapper,
               python3-nose,
               python3-sphinx
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-rdflib-jsonld.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-rdflib-jsonld.git
Homepage: https://github.com/RDFLib/rdflib-jsonld
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2

Package: python-rdflib-jsonld
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Description: rdflib extension adding JSON-LD parser and serializer in Python 2
 This parser/serialiser will
 .
  - read in an JSON-LD formatted document and create an RDF graph
  - serialize an RDF graph to JSON-LD formatted output
 .
 This is the Python 2 version.

Package: python3-rdflib-jsonld
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Description: rdflib extension adding JSON-LD parser and serializer in Python 3
 This parser/serialiser will
 .
  - read in an JSON-LD formatted document and create an RDF graph
  - serialize an RDF graph to JSON-LD formatted output
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export PYBUILD_NAME=rdflib-jsonld
export PYBUILD_DISABLE_python3=test
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rdflib-jsonld/rdflib-jsonld-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rdflib-jsonld 0.4.0

=== debian/changelog ===
python-rdflib-jsonld (0.4.0-1) unstable; urgency=medium

  * new upstream release
  * Standards-Version: 3.9.8

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 24 May 2016 04:09:08 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-rdflib-jsonld
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -21,7 +21,7 @@
                python3-sparqlwrapper,
                python3-nose,
                python3-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-rdflib-jsonld.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-rdflib-jsonld.git
 Homepage: https://github.com/RDFLib/rdflib-jsonld

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,19 @@
 #!/usr/bin/make -f
 
 DH_VERBOSE := 1
+
+# some helpful variables - uncomment them if needed
+# shamelessly stolen from http://jmtd.net/log/awk/
+#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
+#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
+#GIT_TAG        := $(subst ~,_,$(VERSION))
+
+# alternatively to manually set those variables, you can
+#  include /usr/share/dpkg/default.mk
+# and use what is set there.
 
 export PYBUILD_NAME=rdflib-jsonld
 export PYBUILD_DISABLE_python3=test

## python-rdflib-jsonld 0.5.0

=== debian/changelog ===
python-rdflib-jsonld (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debian/patches/try-older-rdflib: no longer needed
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * add ${sphinxdoc:Depends}

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 11 Apr 2020 14:19:10 +0200

python-rdflib-jsonld (0.4.0-5) unstable; urgency=medium

  * Team upload.
  * Drop Python2 support
    Closes: #938123
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 04 Sep 2019 16:33:47 +0200

python-rdflib-jsonld (0.4.0-4) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Drop ancient X-Python-Version field
  * Build-Depends: s/python-sphinx/python3-sphinx/

 -- Andreas Tille <tille@debian.org>  Tue, 30 Oct 2018 08:10:00 +0100

python-rdflib-jsonld (0.4.0-3) unstable; urgency=medium

  * Team upload
  * Fix cut-n-pasto (thanks for the fix to Adrian Bunk <bunk@debian.org>)
    Closes: #867453
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 31 Aug 2017 23:09:08 +0200

python-rdflib-jsonld (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Versioned (Build-)Depends python-rdflib >=4.2.1
    Closes: #843397
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 08 Dec 2016 12:54:09 +0100

=== debian/control ===
Source: python-rdflib-jsonld
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-sphinx,
               python3-setuptools,
               python3,
               python3-all,
               python3-rdflib (>= 4.2.1),
               python3-html5lib,
               python3-sparqlwrapper,
               python3-nose
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-rdflib-jsonld
Vcs-Git: https://salsa.debian.org/med-team/python-rdflib-jsonld.git
Homepage: https://github.com/RDFLib/rdflib-jsonld
Rules-Requires-Root: no

Package: python3-rdflib-jsonld
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends},
         python3-rdflib (>= 4.2.1)
Description: rdflib extension adding JSON-LD parser and serializer in Python 3
 This parser/serialiser will
 .
  - read in an JSON-LD formatted document and create an RDF graph
  - serialize an RDF graph to JSON-LD formatted output
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export PYBUILD_NAME=rdflib-jsonld
export PYBUILD_DISABLE_python3=test
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf build

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rdflib-jsonld/rdflib-jsonld-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rdflib-jsonld 0.6.1

=== debian/changelog ===
python-rdflib-jsonld (0.6.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-rdflib.
    + python3-rdflib-jsonld: Drop versioned constraint on python3-rdflib in
      Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 23:51:52 +0000

python-rdflib-jsonld (0.6.1-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Move source package to DPMT.
  * New (and final) upstream release. Closes: #997634

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 15:40:45 +0100

=== debian/control ===
Source: python-rdflib-jsonld
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-sphinx,
               python3-setuptools,
               python3,
               python3-all,
               python3-rdflib,
               python3-html5lib,
               python3-sparqlwrapper,
               python3-nose
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rdflib-jsonld
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rdflib-jsonld.git
Homepage: https://github.com/RDFLib/rdflib-jsonld
Rules-Requires-Root: no

Package: python3-rdflib-jsonld
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends},
         python3-rdflib
Description: rdflib extension adding JSON-LD parser and serializer in Python 3
 This parser/serialiser will
 .
  - read in an JSON-LD formatted document and create an RDF graph
  - serialize an RDF graph to JSON-LD formatted output
 .
 This is the Python 3 version.
